<div *ngIf="show"
     [ngStyle]="{'top': yStrPosition, 'left': xStrPosition, 'width': popupWidth, 'height': popupHeight}" class="popup">
  <div class="header">
    <div class="title">{{name}}</div>
    <div class="close">
      <!-- TODO insert delete button here -->
      <p (click)="stopsLayerService.closeStopPopup()" class="cross">X</p>
    </div>
  </div>
  <div *ngIf="infos?.nbCourses || infos?.population || infos?.job" class="content">
    <div *ngIf="infos?.nbCourses" class="line-container">
      <div class="line-title">
        <p>Nombre de courses</p>
      </div>
      <div class="line-value">
        <p class="important-value">{{infos.nbCourses}}</p>
      </div>
    </div>
    <div *ngIf="infos?.population" class="line-container">
      <div class="line-title">
        <p>Population 300m</p>
      </div>
      <div class="line-value">
        <p class="important-value">{{infos.population}}</p>
      </div>
    </div>
    <div *ngIf="infos?.job" class="line-container">
      <div class="line-title">
        <p>Emploi 300m</p>
      </div>
      <div class="line-value">
        <p class="important-value">{{infos.job}}</p>
      </div>
    </div>
  </div>
  <geodesign-stop-popup-parameters [stop]="feature" [expanded]="popupExtendend" (expand)="onExpand()"></geodesign-stop-popup-parameters>
  <div *ngIf="!popupExtendend" class="statistics">
    <div class="stats-text">
      {{ 'DATA_PANEL_STOP.SHOW_STATS' | translate }}
    </div>
  </div>
</div>
